Author Topic: Unwanted Tangential Lines  (Read 2907 times)

0 Members and 1 Guest are viewing this topic.

ChrisSolid

  • Guest
Unwanted Tangential Lines
« on: August 04, 2005, 04:25:32 PM »
One person I know of who does his dwgs this way and has for quite some time is Old Cadaver (that's his AutoCAD Discussion Group handle - here, it's just "Cadaver"), so this question is for him (or any other Swamp Rat, really - you guys are in general a bit more savvy than those at that other discussion group - although a good number of them are pretty sharp also):
What, if anything, do you do about the tangential lines that show up in your views of solid models? You know what I'm talking about- wherever a radius meets a flat surface. I'm generating views from my solid , and am trying it your way -no SOLXXX commands, just viewport views of my solid. But this is one of the little problems I have with doing it that way.

t-bear

  • Guest
Unwanted Tangential Lines
« Reply #1 on: August 04, 2005, 09:55:52 PM »
dispsilh=1  This will get rid of the tesselations during a hide....

I have this little lisp I run ....thanks Andyand!
Code: [Select]
(Defun c:util()
(setvar "attreq" 1)
(setvar "osmode" 5)
(setvar "dispsilh" 1)
(setvar "facetres" 10)
(setvar "hideprecision" 1)
(setvar "surftab1" 20)
(setvar "surftab2" 20)
(setvar "indexctl" 0)
(setvar "expert" 3)
(setvar "maxactvp" 64)
(command "viewres" "y" 2000)
(princ)
)


Edit these to suit....
Oh yah...use Hideprecision=1 before plotting a hidden view with cylindrical objects (pipe runs etc....) or the plot might not show some of the "edges", especially in isometricss.....

HTH


BTW....glad to see ya posting here, Chris....and thanks for the cudos.  yer right, y'know...this is *THE* CAD forum!!

ChrisSolid

  • Guest
Unwanted Tangential Lines
« Reply #2 on: August 05, 2005, 01:47:49 PM »
Thanks, but none of those sysvars control what I'm talking about: Suppose you've drawn a solid sheetmetal piece that's just a flat sheet bent into an `L'.  For the sake of accuracy, you put fillets on the inside and outside of the bend corner. I'll call the view in which it appears as an `L' the Side View. When you view the orthographic Front view, AutoCAD dispays a line where the flat sheet meets the beginning of the "bend" radius. This line does not belong there in a technical dwg, and confuses the shop people, who think it's an edge being indicated. As far as I can tell so far, there is no way to get rid of this errant line - a good argument for using the SOLXXX commands in order to get proper 2D dwgs from solids. Now if I don't get a retort from Cadaver from that last line, I'm gonna know he's on vacation and didn't read it-  this has been the subject of past arguments, and he can never not have the last word (unless he's mellowed in the last 2 months)  ;-)

t-bear

  • Guest
Unwanted Tangential Lines
« Reply #3 on: August 05, 2005, 02:50:13 PM »
Ahhhhh....my mis-understanding. Sorry!
As far as I know, there's no way to lose these either...  Drove the guys in OUR shop nutz too, til I took a crow bar and "trained" 'em. LOL
Actually it's a small job shop here and they caught on purty quick, considerin'.
I have used the solprof command at times, but mostly for dwgs going out to customers who don't know how to deal with 3D.

cad-waulader

  • Guest
Unwanted Tangential Lines
« Reply #4 on: August 09, 2005, 07:29:07 PM »
http://www.theswamp.org/lilly_pond/cad-waulader/lbracket.dwg?nossi=1
One solution, though not necessarily elegant, is to use multiple adjacent viewports.  Wherever you have a line on your model that you want to hide, make the viewports meet at that line.  You can snap the viewport boundary to the model line you're trying to hide. Make sure to rightclick on the viewports and choose hideplot>yes.  Also at command prompt dispsilh=1.   see link to example dwg above (hope the link works; first time trying to do it)  Best of luck.  Obviously not a good solution for a complicated part, but OK for simples.  Of course, make sure the viewports' lines are not plotted.  do a print preview in the dwg above to see.

CADaver

  • Guest
Unwanted Tangential Lines
« Reply #5 on: August 13, 2005, 06:12:18 PM »
It's only a problem when you decide it's a problem.  For us, it rarely happens, buit when it does we just smile and move on.  The rest of the drawing explains what's really going on, so it hasn't led to any fabrications errors.

ChrisSolid

  • Guest
Unwanted Tangential Lines
« Reply #6 on: August 15, 2005, 04:59:06 PM »
Quote from: CADaver
It's only a problem when you decide it's a problem.  


OK, then I've decided it is a problem. When the shop has a problem, it becomes my problem.

CADaver

  • Guest
Unwanted Tangential Lines
« Reply #7 on: August 16, 2005, 06:22:22 AM »
Quote from: ChrisSolid
When the shop has a problem, it becomes my problem.
Then Show an additional view so the shop can see what's going on, and give them a little instruction on what the program is showing.

ChrisSolid

  • Guest
Unwanted Tangential Lines
« Reply #8 on: August 16, 2005, 02:10:11 PM »
Quote from: CADaver
Quote from: ChrisSolid
When the shop has a problem, it becomes my problem.
Then Show an additional view so the shop can see what's going on, and give them a little instruction on what the program is showing.


Your world must be a lot more perfect than mine. In this little company, contrary to what is usually the case, the shop is pandered to, and the office gets whipped whenever something goes wrong out there. They don't understand something? Well, it's not because they're not very good technical dwg readers - it's because I didn't make it clear enough (i.e, those little lines are confusing them?- BAD Chris, BAAD! - I should have known that. I do something like that again, and the computer will be thrown out the window, and I'll be forced to do board dwgs again - oh, that'll fix me! -
-Yes, I know the solution to this is obvious - I'm just waiting for a good opportunity, and the right time.